purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.CoreImp.Optimizer.Blocks

Description

Optimizer steps for simplifying JavaScript blocks

Synopsis

- collapseNestedBlocks :: AST -> AST
- collapseNestedIfs :: AST -> AST

# Documentation

collapseNestedBlocks :: AST -> AST #

Collapse blocks which appear nested directly below another block

collapseNestedIfs :: AST -> AST #